#
# Conditional build:
%bcond_without	emacs	# Emacs-compiled elisp
%bcond_without	utf8	# euc-jp dict
#
Summary:	A Japanese character input system library (with dictionary)
Summary(pl.UTF-8):	System wprowadzania znaków japońskich (ze słownikiem)
Name:		anthy
Version:	9100h
Release:	4
License:	LGPL v2+ (library), GPL (dictionary)
Group:		Libraries
Source0:	http://dl.sourceforge.jp/anthy/37536/%{name}-%{version}.tar.gz
# Source0-md5:	1f558ff7ed296787b55bb1c6cf131108
URL:		http://anthy.sourceforge.jp/
BuildRequires:	automake
%{?with_emacs:BuildRequires:	emacs}
BuildRequires:	iconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Japanese character input system library (with dictionary).

%description -l pl.UTF-8
System wprowadzania znaków japońskich (ze słownikiem).

%package devel
Summary:	Header files for anthy libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek anthy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for anthy libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek anthy.

%package static
Summary:	Static anthy libraries
Summary(pl.UTF-8):	Statyczne biblioteki anthy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static anthy libraries.

%description static -l pl.UTF-8
Statyczne biblioteki anthy.

%package -n emacs-anthy
Summary:	Emacs anthy package
Summary(pl.UTF-8):	Pakiet anthy dla Emacsa
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}
Requires:	emacs

%description -n emacs-anthy
Emacs anthy package.

%description -n emacs-anthy -l pl.UTF-8
Pakiet anthy dla Emacsa.

%prep
%setup -q

%if %{with utf8}
cd alt-cannadic
for i in gcanna.ctd gcannaf.ctd gtankan.ctd; do
	iconv -f euc-jp -t utf-8 $i > $i.utf8
done
cd extra
for i in g-jiritu-34.t gc-fullname-34.t gf-fuzoku-34.t gt-tankanji_hikanji-34.t gt-tankanji_kanji-34.t; do
	sed -e 's/^\([^  ]*\)t[  ]*\(#[A-Z0-9\*]*\)[  ]*\([^  ]*\)$/\1 \2 \3/g' $i > $i.norm
done
cd ../../mkworddic
for i in adjust.t compound.t extra.t udict zipcode.t; do
	iconv -f euc-jp -t utf-8 $i > $i.utf8
done
cd ..

if [ ! -f mkworddic/dict.args.in-orig ]; then
	cp -a mkworddic/dict.args.in{,-orig}
fi

cat <<_EOF_ > mkworddic/dict.args.in
# Generated by rpm script
set_input_encoding utf8
read @top_srcdir@/alt-cannadic/gcanna.ctd.utf8
read @top_srcdir@/alt-cannadic/gcannaf.ctd.utf8
read @top_srcdir@/alt-cannadic/gtankan.ctd.utf8
read @top_srcdir@/alt-cannadic/extra/g-jiritu-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gc-fullname-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_kanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_hikanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gf-fuzoku-34.t.norm
read @top_srcdir@/mkworddic/adjust.t.utf8
read @top_srcdir@/mkworddic/compound.t.utf8
read @top_srcdir@/mkworddic/extra.t.utf8
read @top_srcdir@/alt-cannadic/g_fname.t
#
build_reverse_dict
set_dict_encoding utf8
read_uc @top_srcdir@/mkworddic/udict.utf8
write anthy.wdic
done
_EOF_
touch -r mkworddic/dict.args.in{-orig,}
%endif

%build
%configure \
	--with-lispdir=%{_lispdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
%if %{without emacs}
	EMACS=/bin/true
%endif

# (assume that) obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libanthy*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DIARY NEWS README doc/[!M]* doc/MISC
%attr(755,root,root) %{_bindir}/anthy-agent
%attr(755,root,root) %{_bindir}/anthy-dic-tool
%attr(755,root,root) %{_bindir}/anthy-morphological-analyzer
%attr(755,root,root) %{_libdir}/libanthy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanthy.so.0
%attr(755,root,root) %{_libdir}/libanthydic.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanthydic.so.0
%attr(755,root,root) %{_libdir}/libanthyinput.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanthyinput.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/anthy-conf
%{_datadir}/anthy

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanthy.so
%attr(755,root,root) %{_libdir}/libanthydic.so
%attr(755,root,root) %{_libdir}/libanthyinput.so
%{_includedir}/anthy
%{_pkgconfigdir}/anthy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libanthy.a
%{_libdir}/libanthydic.a
%{_libdir}/libanthyinput.a

%files -n emacs-anthy
%defattr(644,root,root,755)
%dir %{_lispdir}/anthy
%{_lispdir}/anthy/anthy*.el
%{_lispdir}/anthy/leim-list.el
%if %{with emacs}
%{_lispdir}/anthy/anthy*.elc
%endif
%changelog
* Fri Apr 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/anthy.git;a=log;h=master

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 97cd94f
- leim-list.el is not compiled

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> f6a2242
- package emacs files; release 4

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> c77ba7e
- x32 rebuild
- release 3 (by relup.sh)

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 99c108c
- verbose bin/lib files list

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> 6db98b5
- rel 2
- build utf-8 dicts (courtesy of ALTLinux)

* Tue Jul 12 2011 Jan Rękorajski <baggins@pld-linux.org> 1d585ba
- added TODO

* Tue Jul 12 2011 Jan Rękorajski <baggins@pld-linux.org> a4a3dfb
- up to 9100h
- package pkgconfig instead of .la

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 95dd2b9
- dropped pre-cvs changelog

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bac22c1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d42b4d7
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 401c995
- adapterized (sorted %verify attrs)

* Sat Mar 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 5fd37ea
- new (partially based on spec from package, mostly rewritten)

